import {createRouter, createWebHistory} from '@ionic/vue-router';
import layout from '@/layout/index.vue'

const routes = [
    {
        path: '/',
        redirect: '/index',
        component: layout,
        children: [
            {
                path: 'index',
                name: 'home',
                component: () => import('@/views/HomeView.vue'),
            },
            {
                path: 'about',
                name: 'about',
                component: () => import('@/views/AboutView.vue'),
            },
        ],
    },
];

const router = createRouter({
    history: createWebHistory(process.env.BASE_URL),
    routes,
});

export default router;
